org.apache.activemq.artemis.uri

## Class AbstractCFSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<ActiveMQConnectionFactory,String>
  - - org.apache.activemq.artemis.uri.AbstractCFSchema

- Direct Known Subclasses:
    InVMSchema, JGroupsSchema, TCPSchema, UDPSchema

      public abstract class AbstractCFSchema
      extends org.apache.activemq.artemis.utils.uri.URISchema<ActiveMQConnectionFactory,String>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCFSchema()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JMSConnectionOptions` | `newConectionOptions(URI uri, Map<String,String> query)`
    `protected ActiveMQConnectionFactory` | `setData(URI uri, Map<String,String> query, ActiveMQConnectionFactory factory)`

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `getDefaultURI, getFactory, getHost, getPort, getSchemaName, internalNewObject, internalNewURI, newObject, newObject, newURI, parseQuery, populateObject, printQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractCFSchema

          public AbstractCFSchema()

  - ### Method Detail

    - #### newConectionOptions

          protected JMSConnectionOptions newConectionOptions(URI uri,
                                                             Map<String,String> query)
                                                      throws Exception

      Throws:
        `Exception`

    - #### setData

          protected ActiveMQConnectionFactory setData(URI uri,
                                                      Map<String,String> query,
                                                      ActiveMQConnectionFactory factory)
                                               throws Exception

      Throws:
        `Exception`

Copyright © 2019 The Apache Software Foundation. All rights reserved.